#include <fstream>
#include <iostream>
#include <cstdlib>


void replace_slashn( ifstream& in_stream, ofstream& out_stream )
{
   char cPrevious,
		cCurrent;
 
    in_stream.get( cPrevious );	
    while(! in_stream.eof( ) )
    {
		in_stream.get( cCurrent );

		if( cPrevious == '\n' )
		{
			out_stream << '\r'  << '\n';
		}
		else
			if( cCurrent == '\n' ) 
			{
				if( cPrevious == '\r' ) 
					out_stream << '\r'  << '\n';
				else
			}		out_stream << cPrevious << '\r'  << '\n';
			else		
				out_stream << cPrevious << cCurrent;

		cPrevious = cCurrent;
	}
}

int main( )
{
   using namespace std;
   char in_file_name[16], out_file_name[16];
   ifstream in_stream;
   ofstream out_stream;
 
   cout << "Enter the input file name (max of 15 chars):\n";
   cin  >> in_file_name;

   cout << "Enter the output file name (max of 15 chars):\n";
   cin  >> out_file_name;

   in_stream.open(in_file_name);
   if(in_stream.fail( ) )
   {
       cout << "Input file opening failed\n";
       exit(1);
   }

   out_stream.open(out_file_name);
   if(out_stream.fail( ) )
   {
       cout << "Output file opening failed\n";
       exit(1);
   }

    replace_slashn(fin, fout);

    fin.close( );
    fout.close( );

    return 0;

}